%global _empty_manifest_terminate_build 0
%global pypi_name cursive

Summary:    Cursive implements OpenStack-specific validation of digital signatures.
Name:       python-cursive
Version:    0.2.2
Release:    3%{?dist}
License:    Apache Software License
URL:        http://www.openstack.org/
Source0:    %{pypi_source}
BuildArch:    noarch

Requires: python3-pbr python3-cryptography python3-castellan

%description
%{summary}

%package -n python3-cursive
Summary:    Cursive implements OpenStack-specific validation of digital signatures.
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip

%description -n python3-cursive
%{summary}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-cursive
%{python3_sitelib}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 cunshunxia <cunshunxia@tencent.com> - 0.2.2-1
- initial build
